Bug 247973 - dns/nsd: Update to 4.3.2
Summary: dns/nsd: Update to 4.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/NLnetLabs/nsd/blob...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-14 14:43 UTC by Jaap Akkerhuis
Modified: 2020-07-18 01:50 UTC (History)
0 users

See Also:


Attachments
patch to upgrade (798 bytes, patch)
2020-07-14 14:43 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2020-07-14 14:43:44 UTC
Created attachment 216438 [details]
patch to upgrade

This release has bug fixes and some new options.  The new commandline
option for nsd '-v' shows the configure line and library versions.  The
log-only-syslog option stops duplicate log messages with systemd if
enabled.  And the min-expire-time option stops zones from having an
expire time that is too low, forcing too much effort by zone fetching.

4.3.2
================
FEATURES:
- Fix #96: log-only-syslog: yes sets to only use syslog, fixes
  that the default configuration and systemd results in duplicate
  log messages.
- Fix #107: nsd -v shows configure line, openssl version and libevent
  version.
- Fix #103 with #110: min-expire-time option.  To provide a lower
  bound for expire period.  Expressed in number of seconds or
  refresh+retry+1.

BUG FIXES:
- Fix for posix shell syntax for trap in nsd-control-setup
- Fix to omit the listen-on lines from log at startup, unless verbose.
- Fix uninitialised values for bindtodevice option at startup with
  reuseport and multiple interfaces.
- Fix #95: Removed make test check because tpkg not included in
  release tarballs.
- Fix unused parameter compile warnings.
- Fix #97: EDNS unknown version: query not in response.
- Fix #99: Fix copying of socket properties with reuseport enabled.
- Document default value for tcp-timeout.
- Merge PR#102 from and0x000: add missing default in documentation
  for drop-updates.
- Fix unlink of pidfile warning if not possible due to permissions,
  nsd can display the message at high verbosity levels.
- Removed contrib/nsd.service, example is too complicated and not
  useful.
- Do not log EAGAIN errors for sendmmsg, to stop log spam on OpenBSD.
- Merge #108 from Nomis: Make the max-retry-time description clearer.
- Retry when udp send buffer is full to wait until buffer space is
  available.
- Remove errno reset behaviour from sendmmsg and recvmmsg
  replacement functions.
- Fix unit test for different nsd-control-setup -h exit code.
- Merge #112 from jaredmauch: log old and new serials when NSD
  rejects an IXFR due to an old serial number.
- Fix #106: Adhere better to xfrd bounds.  Refresh and retry times.
- Fix #105: Clearing hash_tree means just emptying the tree.
Comment 1 Automation User 2020-07-14 14:51:30 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/166454839
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-14 23:41:15 UTC
^Triage: 

- [tags] in issue Titles are deprecated
- If there is a changelog or release notes URL available for this version, please add it to the URL field
Comment 3 Jaap Akkerhuis 2020-07-15 11:37:58 UTC
(In reply to Kubilay Kocak from comment #2)

As usual. I quoted the release announcement in full. This is the first time I see a request to fill in an URL for the release notes/change log. If you want to see the chance log as well, have a look at <https://github.com/NLnetLabs/nsd/blob/NSD_4_3_2_REL/doc/ChangeLog>.
Comment 4 commit-hook freebsd_committer 2020-07-18 01:49:57 UTC
A commit references this bug:

Author: swills
Date: Sat Jul 18 01:49:25 UTC 2020
New revision: 542472
URL: https://svnweb.freebsd.org/changeset/ports/542472

Log:
  dns/nsd: Upgrade to version 4.3.2

  PR:		247973
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)

Changes:
  head/dns/nsd/Makefile
  head/dns/nsd/distinfo
Comment 5 Steve Wills freebsd_committer 2020-07-18 01:50:32 UTC
Committed, thanks!